From db5f8c88c197bb12cdc8282c26d5f5cab5f40682 Mon Sep 17 00:00:00 2001
From: Petri Hintukainen <phintuka@users.sourceforge.net>
Date: Thu, 30 Jan 2014 15:40:59 +0200
Subject: [PATCH 05/17] bluray: handle BD_EVENT_DISCONTINUITY

---
 modules/access/bluray.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/modules/access/bluray.c b/modules/access/bluray.c
index 90f1a03..710465a 100644
--- a/modules/access/bluray.c
+++ b/modules/access/bluray.c
@@ -1502,6 +1502,11 @@ static void blurayHandleEvent(demux_t *p_demux, const BD_EVENT *e)
     case BD_EVENT_IG_STREAM:
         break;
 
+    case BD_EVENT_DISCONTINUITY:
+        /* reset demuxer (partially decoded PES packets must be dropped) */
+        blurayResetParser(p_demux);
+        break;
+
     default:
         msg_Warn(p_demux, "event: %d param: %d", e->event, e->param);
         break;
-- 
1.8.3.2

